package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ProfitBean {
    /**
     * code : 0
     * message : null
     * data : {"innerPrice":3127.64,"outerPrice":3200,"profitPrice":72.36,"page":{"records":[{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":3,"orderId":"SO10802","orderType":"SO","launchDeptId":436,"launchUserId":null,"receiveDeptId":422,"receiveUserId":null,"customerId":null,"supplierId":null,"launchOrderDate":"2020-06-19 11:21:37","receiveOrderDate":"2020-06-19 11:22:14","status":null,"outerPrice":3200,"innerPrice":3127.64,"profitPrice":72.36,"orderTypeName":null,"launchDeptName":"销售锆碳公司（GT）","launchUserName":"王小军","receiveDeptName":"生产部（GT）","receiveUserName":"王春先","customerName":"福建罗源闽光钢铁有限责任公司","supplierName":null,"year":null,"month":null}],"total":1,"size":10,"current":1,"orders":[],"searchCount":true,"pages":1}}
     * httpStatus : 0
     * path : null
     * ext : null
     */

    /**
     * innerPrice : 3127.64
     * outerPrice : 3200.0
     * profitPrice : 72.36
     * page : {"records":[{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":3,"orderId":"SO10802","orderType":"SO","launchDeptId":436,"launchUserId":null,"receiveDeptId":422,"receiveUserId":null,"customerId":null,"supplierId":null,"launchOrderDate":"2020-06-19 11:21:37","receiveOrderDate":"2020-06-19 11:22:14","status":null,"outerPrice":3200,"innerPrice":3127.64,"profitPrice":72.36,"orderTypeName":null,"launchDeptName":"销售锆碳公司（GT）","launchUserName":"王小军","receiveDeptName":"生产部（GT）","receiveUserName":"王春先","customerName":"福建罗源闽光钢铁有限责任公司","supplierName":null,"year":null,"month":null}],"total":1,"size":10,"current":1,"orders":[],"searchCount":true,"pages":1}
     */

    private double innerPrice;
    private double outerPrice;
    private double profitPrice;
    private PageBean page;

    public double getInnerPrice() {
        return innerPrice;
    }

    public void setInnerPrice(double innerPrice) {
        this.innerPrice = innerPrice;
    }

    public double getOuterPrice() {
        return outerPrice;
    }

    public void setOuterPrice(double outerPrice) {
        this.outerPrice = outerPrice;
    }

    public double getProfitPrice() {
        return profitPrice;
    }

    public void setProfitPrice(double profitPrice) {
        this.profitPrice = profitPrice;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public static class PageBean {
        /**
         * records : [{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":3,"orderId":"SO10802","orderType":"SO","launchDeptId":436,"launchUserId":null,"receiveDeptId":422,"receiveUserId":null,"customerId":null,"supplierId":null,"launchOrderDate":"2020-06-19 11:21:37","receiveOrderDate":"2020-06-19 11:22:14","status":null,"outerPrice":3200,"innerPrice":3127.64,"profitPrice":72.36,"orderTypeName":null,"launchDeptName":"销售锆碳公司（GT）","launchUserName":"王小军","receiveDeptName":"生产部（GT）","receiveUserName":"王春先","customerName":"福建罗源闽光钢铁有限责任公司","supplierName":null,"year":null,"month":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : null
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 3
             * orderId : SO10802
             * orderType : SO
             * launchDeptId : 436
             * launchUserId : null
             * receiveDeptId : 422
             * receiveUserId : null
             * customerId : null
             * supplierId : null
             * launchOrderDate : 2020-06-19 11:21:37
             * receiveOrderDate : 2020-06-19 11:22:14
             * status : null
             * outerPrice : 3200.0
             * innerPrice : 3127.64
             * profitPrice : 72.36
             * orderTypeName : null
             * launchDeptName : 销售锆碳公司（GT）
             * launchUserName : 王小军
             * receiveDeptName : 生产部（GT）
             * receiveUserName : 王春先
             * customerName : 福建罗源闽光钢铁有限责任公司
             * supplierName : null
             * year : null
             * month : null
             */

            private Object createdBy;
            private Object createdByName;
            private Object createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private String orderId;
            private String orderType;
            private int launchDeptId;
            private Object launchUserId;
            private int receiveDeptId;
            private Object receiveUserId;
            private Object customerId;
            private Object supplierId;
            private String launchOrderDate;
            private String receiveOrderDate;
            private Object status;
            private double outerPrice;
            private double innerPrice;
            private double profitPrice;
            private Object orderTypeName;
            private String launchDeptName;
            private String launchUserName;
            private String receiveDeptName;
            private String receiveUserName;
            private String customerName;
            private Object supplierName;
            private Object year;
            private Object month;

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public Object getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(Object createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public int getLaunchDeptId() {
                return launchDeptId;
            }

            public void setLaunchDeptId(int launchDeptId) {
                this.launchDeptId = launchDeptId;
            }

            public Object getLaunchUserId() {
                return launchUserId;
            }

            public void setLaunchUserId(Object launchUserId) {
                this.launchUserId = launchUserId;
            }

            public int getReceiveDeptId() {
                return receiveDeptId;
            }

            public void setReceiveDeptId(int receiveDeptId) {
                this.receiveDeptId = receiveDeptId;
            }

            public Object getReceiveUserId() {
                return receiveUserId;
            }

            public void setReceiveUserId(Object receiveUserId) {
                this.receiveUserId = receiveUserId;
            }

            public Object getCustomerId() {
                return customerId;
            }

            public void setCustomerId(Object customerId) {
                this.customerId = customerId;
            }

            public Object getSupplierId() {
                return supplierId;
            }

            public void setSupplierId(Object supplierId) {
                this.supplierId = supplierId;
            }

            public String getLaunchOrderDate() {
                return launchOrderDate;
            }

            public void setLaunchOrderDate(String launchOrderDate) {
                this.launchOrderDate = launchOrderDate;
            }

            public String getReceiveOrderDate() {
                return receiveOrderDate;
            }

            public void setReceiveOrderDate(String receiveOrderDate) {
                this.receiveOrderDate = receiveOrderDate;
            }

            public Object getStatus() {
                return status;
            }

            public void setStatus(Object status) {
                this.status = status;
            }

            public double getOuterPrice() {
                return outerPrice;
            }

            public void setOuterPrice(double outerPrice) {
                this.outerPrice = outerPrice;
            }

            public double getInnerPrice() {
                return innerPrice;
            }

            public void setInnerPrice(double innerPrice) {
                this.innerPrice = innerPrice;
            }

            public double getProfitPrice() {
                return profitPrice;
            }

            public void setProfitPrice(double profitPrice) {
                this.profitPrice = profitPrice;
            }

            public Object getOrderTypeName() {
                return orderTypeName;
            }

            public void setOrderTypeName(Object orderTypeName) {
                this.orderTypeName = orderTypeName;
            }

            public String getLaunchDeptName() {
                return launchDeptName;
            }

            public void setLaunchDeptName(String launchDeptName) {
                this.launchDeptName = launchDeptName;
            }

            public String getLaunchUserName() {
                return launchUserName;
            }

            public void setLaunchUserName(String launchUserName) {
                this.launchUserName = launchUserName;
            }

            public String getReceiveDeptName() {
                return receiveDeptName;
            }

            public void setReceiveDeptName(String receiveDeptName) {
                this.receiveDeptName = receiveDeptName;
            }

            public String getReceiveUserName() {
                return receiveUserName;
            }

            public void setReceiveUserName(String receiveUserName) {
                this.receiveUserName = receiveUserName;
            }

            public String getCustomerName() {
                return customerName;
            }

            public void setCustomerName(String customerName) {
                this.customerName = customerName;
            }

            public Object getSupplierName() {
                return supplierName;
            }

            public void setSupplierName(Object supplierName) {
                this.supplierName = supplierName;
            }

            public Object getYear() {
                return year;
            }

            public void setYear(Object year) {
                this.year = year;
            }

            public Object getMonth() {
                return month;
            }

            public void setMonth(Object month) {
                this.month = month;
            }
        }
    }
}